[postgis-tickets] [SCM] PostGIS branch master updated. 3.2.0-338-g56b546a56

git at osgeo.org git at osgeo.org
Thu Jan 20 13:30:30 PST 2022


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  56b546a563719df6bcac6eaf3a24ff1b17049bdd (commit)
      from  49083aa0c58c356d7c8690f302b1efe9687d6ee2 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 56b546a563719df6bcac6eaf3a24ff1b17049bdd
Author: Sandro Santilli <strk at kbt.io>
Date:   Thu Jan 20 21:28:34 2022 +0100

    Fix check-news and check-tests-enabled in out-of-tree builds

diff --git a/GNUmakefile.in b/GNUmakefile.in
index f2e8c058c..371c56543 100644
--- a/GNUmakefile.in
+++ b/GNUmakefile.in
@@ -49,7 +49,7 @@ staged-install: all
 	$(MAKE) -C regress staged-install
 
 check-news:
-	utils/check_news.sh
+	$(top_srcdir)/utils/check_news.sh $(top_srcdir)
 
 check-unit check-regress docs-check: all
 
@@ -212,7 +212,7 @@ include $(top_srcdir)/regress/runtest.mk
 check-regress: staged-install check-regress-deps
 
 check-tests-enabled:
-	utils/check_tests_enabled.sh
+	$(top_srcdir)/utils/check_tests_enabled.sh $(top_srcdir)
 
 check-regress-deps:
 ifeq (@TOPOLOGY@,topology)
diff --git a/utils/check_tests_enabled.sh b/utils/check_tests_enabled.sh
index d29e46f69..1e518b44e 100755
--- a/utils/check_tests_enabled.sh
+++ b/utils/check_tests_enabled.sh
@@ -2,7 +2,7 @@
 #!/bin/sh
 
 usage() {
-  echo "Usage: $0"
+  echo "Usage: $0 [<sourcedir>]"
 }
 
 TMPDIR=/tmp/postgis_check_tests_enabled_$$
@@ -47,6 +47,28 @@ check_enabled() {
   fi
 }
 
+### COMMAND LINE PARSING
+RD= # Root source dir
+while [ $# -gt 0 ]; do
+  if [ "$1" = "--help" ]; then
+    usage
+    exit 0
+  elif [ -z "${RD}" ]; then
+    RD=$1
+  else
+    echo "ERROR: unrecognized extra argument $1" >&2
+    usage >&2
+    exit 1
+  fi
+  shift
+done
+
+
+if [ -z "${RD}" ]; then
+  RD=`dirname $0`/..
+fi
+
+cd ${RD}
 check_enabled topology/test/tests.mk regress &&
 check_enabled regress/loader/tests.mk &&
 check_enabled regress/dumper/tests.mk &&

-----------------------------------------------------------------------

Summary of changes:
 GNUmakefile.in               |  4 ++--
 utils/check_tests_enabled.sh | 24 +++++++++++++++++++++++-
 2 files changed, 25 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list